Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357782 - smoke: freebsd-smoke and netbsd6-smoke tests not running on release-3.8 branch
Summary: smoke: freebsd-smoke and netbsd6-smoke tests not running on release-3.8 branch
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: 3.8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nigel Babu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 07:19 UTC by Milind Changire
Modified: 2016-08-16 05:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-16 05:55:36 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Milind Changire 2016-07-19 07:19:01 UTC
smoke: freebsd-smoke and netbsd6-smoke tests not running on release-3.8 branch

Comment 1 Nigel Babu 2016-07-19 07:30:10 UTC
I've made those branches as something that Jenkins will look at. This should sort out the immediate problem

Does it make sense to have smoke run on all branches instead?

i.e. instead of specifying which particular branches to run on, let's run on all branches.

Or are there specific branches we do not support for certain platforms?

Comment 2 M. Scherer 2016-07-20 13:11:55 UTC
I suspect this was true in the past.

In fact, let's say we add support for freebsd 11, and we find that gluster 3.6 do not build on newer freebsd, do we want to backport fixes for that or not ?

Comment 3 Nigel Babu 2016-08-16 05:55:36 UTC
These jobs are now defined in JJB and run on all the branches.


Note You need to log in before you can comment on or make changes to this bug.